[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDatabase.EndTransaction

End an active transaction.

## Declaration

Source position: db.pas line 2088

`public procedure TDatabase.EndTransaction; virtual; abstract;`

## Description

EndTransaction must be implemented by descendent classes to end an active transaction. This method is provided for Delphi compatibility: new applications should use a TDBTransaction component instead and invoke the TDBTransaction.EndTransaction method.

## See also

TDBTransaction |  | Encapsulate a transaction
TDBTransaction.EndTransaction